IF OBJECT_ID('dbo.sp_fco_upd_int_det_eps') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_upd_int_det_eps
GO
CREATE PROCEDURE dbo.sp_fco_upd_int_det_eps
(
    @pch_compania  char(4),
    @psi_anio  smallint,
    @pti_mes  tinyint,
    @pvc_sucursal  varchar(10),
    @pch_tipo_planilla char(1),
    @pch_trabajador  char(10),
    @pch_secuencia  char(5),
    @pch_tipo_documento  char(2),
    @pvc_nro_id  varchar(16),
    @pti_tipo_cotizante  tinyint,
    @pvc_primer_apellido  varchar(20),
    @pvc_segundo_apellido  varchar(30),
    @pvc_primer_nombre  varchar(20),
    @pvc_segundo_nombre  varchar(30),
    @pch_nov_ING  char(1),
    @pch_nov_RET  char(1),
    @pch_nov_TDE  char(1),
    @pch_nov_TAE  char(1),
    @pch_nov_TDP  char(1),
    @pch_nov_TAP  char(1),
    @pch_nov_VSP  char(1),
    @pch_nov_VTE  char(1),
    @pch_nov_VST  char(1),
    @pch_nov_SLN  char(1),
    @pch_nov_IGE  char(1),
    @pch_nov_LMA  char(1),
    @pch_nov_VAC  char(1),
    @pch_nov_AVP  char(1),
    @pch_nov_VCT  char(1),
    @pch_nov_IRP  char(2),
    @pdc_salario  decimal(9, 0),
    @pch_cod_EPS  char(10),
    @pch_cod_EPS_Tras  char(10),
    @pti_dias_EPS  tinyint,
    @pdc_IBC_EPS  decimal(9, 0),
    @pdc_tarifa_EPS  decimal(6, 5),
    @pdc_aporte_EPS  decimal(9, 0),
    @pdc_UPC_adicional  decimal(9, 0),
    @pvc_nro_aut_IGE  varchar(15),
    @pdc_vlr_aut_IGE  decimal(9, 0),
    @pvc_nro_aut_LMA  varchar(15),
    @pdc_vlr_aut_LMA  decimal(9, 0)
)
AS
BEGIN
    UPDATE fco_integrada_det
    SET 
        tipo_documento = ISNULL(@pch_tipo_documento, ''),
        nro_id = ISNULL(@pvc_nro_id, ''),
        tipo_cotizante = ISNULL(@pti_tipo_cotizante, 1),
        primer_apellido = ISNULL(@pvc_primer_apellido, ''),
        segundo_apellido = ISNULL(@pvc_segundo_apellido, ''),
        primer_nombre = ISNULL(@pvc_primer_nombre, ''),
        segundo_nombre = ISNULL(@pvc_segundo_nombre, ''),
        nov_ING = ISNULL(@pch_nov_ING, ''),
        nov_RET = ISNULL(@pch_nov_RET, ''),
        nov_TDE = ISNULL(@pch_nov_TDE, ''),
        nov_TAE = ISNULL(@pch_nov_TAE, ''),
        nov_TDP = ISNULL(@pch_nov_TDP, ''),
        nov_TAP = ISNULL(@pch_nov_TAP, ''),
        nov_VSP = ISNULL(@pch_nov_VSP, ''),
        nov_VTE = ISNULL(@pch_nov_VTE, ''),
        nov_VST = ISNULL(@pch_nov_VST, ''),
        nov_SLN = ISNULL(@pch_nov_SLN, ''),
        nov_IGE = ISNULL(@pch_nov_IGE, ''),
        nov_LMA = ISNULL(@pch_nov_LMA, ''),
        nov_VAC = ISNULL(@pch_nov_VAC, ''),
        nov_AVP =  ISNULL(@pch_nov_AVP, ''),
        nov_VCT = ISNULL(@pch_nov_VCT, ''),
        nov_IRP = ISNULL(@pch_nov_IRP, '00'),
        cod_EPS = ISNULL(@pch_cod_EPS, ''),
        cod_EPS_Tras = ISNULL(@pch_cod_EPS_Tras, ''),
        dias_EPS = ISNULL(@pti_dias_EPS, 0),
        salario = ISNULL(@pdc_salario, 0),
        IBC_EPS = ISNULL(@pdc_IBC_EPS, 0),
        tarifa_EPS = ISNULL(@pdc_tarifa_EPS, 0),
        aporte_EPS = ISNULL(@pdc_aporte_EPS, 0),
        UPC_adicional = ISNULL(@pdc_UPC_adicional, 0),
        nro_aut_IGE = ISNULL(@pvc_nro_aut_IGE, ''),
        vlr_aut_IGE = ISNULL(@pdc_vlr_aut_IGE, 0),
        nro_aut_LMA = ISNULL(@pvc_nro_aut_LMA, ''),
        vlr_aut_LMA = ISNULL(@pdc_vlr_aut_LMA, 0)
    WHERE compania = @pch_compania
      AND anio = @psi_anio
      AND mes = @pti_mes
      AND sucursal = ISNULL(@pvc_sucursal, '')
      AND tipo_planilla = @pch_tipo_planilla
      AND trabajador = @pch_trabajador


    -- JCL NOV-17-06
    -- Si se modifican números o valores de autorización entonces la próxima vez recalcular totales tipo 4
    IF ISNULL(@pvc_nro_aut_IGE, '') <> '' OR ISNULL(@pdc_vlr_aut_IGE, 0) > 0 OR ISNULL(@pvc_nro_aut_LMA, '') <> '' OR ISNULL(@pdc_vlr_aut_LMA, 0) > 0
        UPDATE fco_integrada_rt04
        SET origen = 0
        WHERE compania = @pch_compania
      AND anio = @psi_anio
      AND mes = @pti_mes
      AND (sucursal = ISNULL(@pvc_sucursal, '') OR @pvc_sucursal = '')
      AND tipo_planilla = @pch_tipo_planilla
END
GO
GRANT EXECUTE ON sp_fco_upd_int_det_eps TO PUBLIC
GO

